al_show_native_file_dialog(3)

NAME

al_show_native_file_dialog - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_native_dialog.h>
    bool al_show_native_file_dialog(ALLEGRO_DISPLAY *display,
       ALLEGRO_FILECHOOSER *dialog)

DESCRIPTION

Show the dialog window. The display may be NULL, otherwise the given display is treated as the parent if possible.

This function blocks the calling thread until it returns, so you may want to spawn a thread with al_create_thread(3) and call it from inside that thread.

Returns true on success, false on failure.